# Class ParserDelegator

java.lang.Object
javax.swing.text.html.HTMLEditorKit.Parser
javax.swing.text.html.parser.ParserDelegator

All Implemented Interfaces:
  `Serializable`

public class ParserDelegator extends HTMLEditorKit.Parser implements Serializable
Responsible for starting up a new DocumentParser each time its parse method is invoked. Stores a reference to the dtd.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParserDelegator()`
  Creates `ParserDelegator` with default DTD.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static DTD`
  `createDTD(DTD dtd, String name)`
  Recreates a DTD from an archived format with the specified `name`.
  `void`
  `parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)`
  Parse the given stream and drive the given callback with the results of the parse.
  `protected static void`
  `setDefaultDTD()`
  Sets the default DTD.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParserDelegator

    public ParserDelegator()
    Creates `ParserDelegator` with default DTD.

- ## Method Details

  - ### setDefaultDTD

    protected static void setDefaultDTD()
    Sets the default DTD.

  - ### createDTD

    protected static DTD createDTD(DTD dtd, String name)
    Recreates a DTD from an archived format with the specified `name`.
    Parameters:
      `dtd` - a DTD
      `name` - the name of the resource, relative to the ParserDelegator class.
    Returns:
      the DTD with the specified `name`.

  - ### parse

    public void parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet) throws IOException
    Description copied from class: `HTMLEditorKit.Parser`
    Parse the given stream and drive the given callback with the results of the parse. This method should be implemented to be thread-safe.
    Specified by:
      `parse` in class `HTMLEditorKit.Parser`
    Parameters:
      `r` - a reader
      `cb` - a parser callback
      `ignoreCharSet` - if `true` charset is ignoring
    Throws:
      `IOException` - if an I/O exception occurs